- Main Page
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# KrImageListBox Class Reference

A widget to display a listbox of images. More...

`#include <KrImageListBox.h>`

Inheritance diagram for KrImageListBox:

List of all members.

## Public Member Functions
int | QuerySelectedItemNum ()
| Return the index of the selected item.
virtual int | IsMouseListener ()
| IsMouseListener returns whether this is a mouse listener or not, and which buttons are listened to.
virtual bool | MouseClick (int down, int x, int y)
virtual void | MouseMove (bool down, int x, int y)
virtual void | MouseIn (bool down, bool in)

## Detailed Description

A widget to display a listbox of images.

Note: This is an externally submitted widget. It has a different author and does not necessarily share the same license as main Kyra code. Also note: Send in your widgets! We'de like them to have a home here where everyone can use them.

Author: Tim Meyer Contact info: tmeyer3@bellsouth.net Contributing: -- Questions about this widget? Arianne forums. (http://www.arianne.info)

## Member Function Documentation

virtual int KrImageListBox::IsMouseListener | ( |  | ) | `[inline, virtual]`

IsMouseListener returns whether this is a mouse listener or not, and which buttons are listened to.

A return value of 0 is no listening. Else it can return an OR mask of the buttons ( LEFT_MOUSE, RIGHT_MOUSE, MIDDLE_MOUSE ) it wants to listen for mouse clicks.

The simple case is to only listen to the left mouse, in which case return LEFT_MOUSE (1). The click messages can then be treated like a boolean for the left mouse (1 is down, 0 is up.)

Currently, with version 2.0, only the LEFT_MOUSE is supported.

MouseIn is called when a mouse moves in to the widget. The 'down' parameter reflects the state of the left mouse button. The 'in' reflects whether it is moving to the widget (true) or away from the widget (false).

MouseMove reports when the mouse moves over this widget.

MouseClick is called when the mouse is clicked on this widget. The 'click' param will have a single value (not OR mask) of LEFT_UP, LEFT_DOWN, RIGHT_UP, etc. with x and y coordinates of the action.

In the simple case that you are only listening to the left mouse, the parameter will be essentially a boolean: 1 for the left mouse down, 0 for the left mouse up.

Reimplemented from KrWidget.

virtual bool KrImageListBox::MouseClick | ( | int | down,
|  | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

See also:
  IsMouseListener

Reimplemented from KrWidget.

virtual void KrImageListBox::MouseIn | ( | bool | down,
|  | bool | in |
| ) |  |  | `[virtual]`

See also:
  IsMouseListener

Reimplemented from KrWidget.

virtual void KrImageListBox::MouseMove | ( | bool | down,
|  | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

See also:
  IsMouseListener

Reimplemented from KrWidget.

The documentation for this class was generated from the following file:

- KrImageListBox.h